This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 80768 - scsi cdrw - messages always has Device not ready. Make sure there is a disc in the drive.
scsi cdrw - messages always has Device not ready. Make sure there is a disc ...
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: dev (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-30 19:57 EST by Barry K. Myrvold
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 13:12:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Barry K. Myrvold 2002-12-30 19:57:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
When there is no cdrom in my scsi cdrw drive I get a bazillion messages in
/var/log/messages like this:
Dec 30 19:49:59 localhost kernel: Device not ready.  Make sure there is a disc
in the drive.
Dec 30 19:50:30 localhost last message repeated 88 times
Dec 30 19:51:31 localhost last message repeated 188 times
Dec 30 19:52:32 localhost last message repeated 188 times
Dec 30 19:53:34 localhost last message repeated 188 times
Dec 30 19:54:35 localhost last message repeated 188 times
Dec 30 19:55:36 localhost last message repeated 185 times
Dec 30 19:56:37 localhost last message repeated 183 times
Dec 30 19:57:38 localhost last message repeated 188 times
Dec 30 19:58:39 localhost last message repeated 185 times
Dec 30 19:59:40 localhost last message repeated 187 times
Dec 30 20:00:41 localhost last message repeated 188 times
Dec 30 20:01:30 localhost last message repeated 151 times

When I insert a totally blank disk in the drive I get a bazillion messages like
this:
Dec 30 20:03:02 localhost kernel: cdrom: This disc doesn't have any tracks I
recognize!
Dec 30 20:03:33 localhost last message repeated 115 times

This totally fills up my log making it next to useless.  Is there any way to get
rid of these useless warnings.
 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. leave scsi cdrw drive empty or insert a blank disk
2.
3.
    

Actual Results:  same

Expected Results:  no warnings would be nice.  I know when there is no disk in
my cdrom, and I know when there is a blank disk in there.

Additional info:
Comment 1 Bill Nottingham 2006-08-07 15:53:21 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 2 Bill Nottingham 2006-10-18 13:12:12 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.